Package classycle.graph

# Interface GraphAttributes

All Superinterfaces:
  `Attributes`, `Comparable<Attributes>`

public interface GraphAttributes extends Attributes
Attributes of a graph. The following properties can be accessed with this interface:

Girth:
  The length of the shortest cycle.
Eccentricities:
  The eccentricity for each vertex of the graph. The eccentricity of a vertex is the largest distance to other vertices of the graph. The distance between vertex A and B is defined as the shortest path from A to B. The distance is infinite if there is no path from A to B.
Diameter:
  The largest eccentricity.
Radius:
  The smallest eccentricity.
Center:
  The set of vertices of the graph with the smallest eccentricities.
Maximum fragment sizes:
  The maximum fragment sizes for each vertex of the graph. The maximum fragment size of a vertex is defined as the size of the largest strong component of the graph after the vertex has been removed.
Best fragment size:
  The smallest maximum fragment size.
Best fragmenters:
  The set of vertices of the graph with smallest maximum fragment size.

Author:
  Franz-Josef Elmer

## Method Summary

Modifier and Type
Method
Description
`Vertex[]`
`getBestFragmenters()`
Returns those vertices of a `StrongComponent` where the maximum fragment size is equal to the best fragment size.
`int`
`getBestFragmentSize()`
Returns the best fragment size.
`Vertex[]`
`getCenterVertices()`
Returns the vertices of the center.
`int`
`getDiameter()`
Returns the diameter.
`int[]`
`getEccentricities()`
Returns the eccentricies of all vertices of a `StrongComponent`.
`int`
`getGirth()`
Returns the girth.
`int[]`
`getMaximumFragmentSizes()`
Returns the maximum fragment sizes of all vertices of a `StrongComponent`.
`int`
`getRadius()`
Returns the radius.

### Methods inherited from interface java.lang.Comparable

`compareTo`

## Method Details

### getGirth

int getGirth()
Returns the girth.

### getRadius

int getRadius()
Returns the radius.

### getDiameter

int getDiameter()
Returns the diameter.

### getCenterVertices

Vertex[] getCenterVertices()
Returns the vertices of the center.

### getEccentricities

int[] getEccentricities()
Returns the eccentricies of all vertices of a `StrongComponent`.

### getMaximumFragmentSizes

int[] getMaximumFragmentSizes()
Returns the maximum fragment sizes of all vertices of a `StrongComponent`.

### getBestFragmentSize

int getBestFragmentSize()
Returns the best fragment size.

### getBestFragmenters

Vertex[] getBestFragmenters()
Returns those vertices of a `StrongComponent` where the maximum fragment size is equal to the best fragment size.